%define svncheckout 20090618svn2219

Name:		v8
Version:	1.2.8
Release:	2.2.moblin2
Summary:	JavaScript Engine
Group:		System Environment/Libraries
License:	BSD
URL:		http://code.google.com/p/v8
# No tarballs, pulled from svn
# svn checkout http://v8.googlecode.com/svn/trunk/ v8
# find v8 -depth -name .svn -type d -exec rm -rf {} \;
Source0:	v8-%{svncheckout}.tar.bz2
Patch0:		v8-svn2219-unused-parameter.patch
Patch1:		http://codereview.chromium.org/download/issue115176_4_1002.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	%{ix86} arm
BuildRequires:	scons

%description
V8 is Google's open source JavaScript engine. V8 is written in C++ and is used 
in Google Chrome, the open source browser from Google. V8 implements ECMAScript 
as specified in ECMA-262, 3rd edition.

%package devel
Group:		Development/Libraries
Summary:	Development headers and libraries for v8
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and libraries for v8.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .unused-parameter
%patch1 -p0 -b .issue115176
sed -i 's|-O3|$RPM_OPT_FLAGS|g' SConstruct

%build
scons library=shared snapshots=on env=CCFLAGS:"-fPIC"
# When will people learn to create versioned shared libraries by default?
# first, lets get rid of the old .so
rm -rf libv8.so
# Now, lets make it right.
%ifarch arm
g++ $RPM_OPT_FLAGS -fPIC -o libv8.so.0.0.0 -shared -Wl,-soname,libv8.so.0 obj/release/*.os obj/release/arm/*.os
%endif
%ifarch %{ix86}
g++ $RPM_OPT_FLAGS -fPIC -o libv8.so.0.0.0 -shared -Wl,-soname,libv8.so.0 obj/release/*.os obj/release/ia32/*.os
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
install -p include/*.h %{buildroot}%{_includedir}
install -p libv8.so.0.0.0 %{buildroot}%{_libdir}
cd %{buildroot}%{_libdir}
ln -sf libv8.so.0.0.0 libv8.so
ln -sf libv8.so.0.0.0 libv8.so.0
ln -sf libv8.so.0.0.0 libv8.so.0.0

chmod -x %{buildroot}%{_includedir}/v8*.h

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Mon Jun 22 2009 Priya Vijayan <priya.vijayan@intel.com> 1.2.8
- Initial Import to Moblin
* Thu Jun 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-2.20090618svn2219
- fix unused-parameter patch
* Thu Jun 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-1.20090618svn2219
- update to 1.2.8, svn2219
* Mon Jun  8 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-2.20090608svn2123
- fix gcc44 compile for Fedora 11
* Mon Jun  8 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-1.20090608svn2123
- update to 1.2.7, svn2123
* Thu May 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.5-1.20090528svn2072
- update to newer svn checkout
* Sun Feb 22 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1.20090222svn1332
- update to newer svn checkout
* Sun Sep 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.2-2.20080914svn300
- make a versioned shared library properly
* Sun Sep 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.2-1.20080914svn300
- Initial package for Fedora
